<template>
  <div>

    <!-- Table Container Card -->
    <b-card
      title="Lista de usuarios"
    >

      <div class="m-2">

        <!-- Table Top -->
        <b-row>

          <!-- Search -->
          <b-col
            cols="12"
            md="6"
          >
          <div class="d-flex align-items-center justify-content-end">
              <b-form-input
                v-model="searchQuery"
                class="d-inline-block mr-1"
                placeholder="Buscar..."
              />
            
            </div>
          
          </b-col>
        </b-row>

      </div>

      <b-table
        class="position-relative"
        :items="users"
        responsive
        :fields="tableColumns"
        :filter="searchQuery"
        primary-key="id"
        show-empty
        empty-text="No se encontraron registros"
      >

        <template #cell(image)="data">
          <b-avatar
            v-if="data.item.image"
             class="mr-1" 

            size="lg"
             :src="baseURL+data.item.image"
          />
          <b-avatar
            v-else
             class="mr-1" 

            size="lg"
        
          />
        </template>
        <!-- Column: Actions -->
        <template #cell(actions)="data">
          <b-dropdown
            variant="link"
            no-caret
          >

            <template #button-content>
              <feather-icon
                icon="MoreVerticalIcon"
                size="16"
                class="align-middle text-body"
              />
            </template>
            <b-dropdown-item :to="{ name: 'apps-users-attendance-history', params: { id: data.item.id } }">
              <feather-icon icon="FileTextIcon" />
              <span class="align-middle ml-50">Ver asistencias</span>
            </b-dropdown-item>

          </b-dropdown>
        </template>

      </b-table>
      
    </b-card>
  </div>
</template>

<script>
import {
  BCard, BRow, BCol, BFormInput, BButton, BTable, BMedia, BAvatar, BLink,
  BBadge, BDropdown, BDropdownItem, BPagination,
} from 'bootstrap-vue'
import vSelect from 'vue-select'

export default {
  components: {

    BCard,
    BRow,
    BCol,
    BFormInput,
    BButton,
    BTable,
    BMedia,
    BAvatar,
    BLink,
    BBadge,
    BDropdown,
    BDropdownItem,
    BPagination,

    vSelect,
  },
  data() {
    return {
      users:[],
      tableColumns:[
        { key: 'image'},
        { key: 'name', label: "Nombre", sortable: true },
        { key: 'last_name', label: "Apellidos", sortable: true },
        { key: 'job', label: "Puesto", sortable: true },
        { key: 'actions' },
      ],
      searchQuery:'',
      baseURL:'http://quantumdaily-back.test/storage/',

    }
  },
  methods:{
    getUsers(){
      this.$http.get('usuarios').then(res=>{
        this.users = res.data.users
        console.log(this.users);
      }).catch(err=>{
        console.log(err);
      })
    },
    
  },
  mounted(){
    this.getUsers()
  },
}
</script>

<style lang="scss" scoped>
.per-page-selector {
  width: 90px;
}
</style>

<style lang="scss">
@import '@core/scss/vue/libs/vue-select.scss';
</style>
